VERSION 5.00
Begin VB.Form frmFonts 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Fonts Enumeration (True-Type, Ansi-Charset)"
   ClientHeight    =   3585
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   Icon            =   "FONTS Enum.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3585
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picBanner 
      Align           =   1  'Align Top
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      ForeColor       =   &H80000008&
      Height          =   615
      Left            =   0
      MouseIcon       =   "FONTS Enum.frx":0442
      MousePointer    =   99  'Custom
      Picture         =   "FONTS Enum.frx":0884
      ScaleHeight     =   615
      ScaleWidth      =   4680
      TabIndex        =   1
      Top             =   0
      Width           =   4680
   End
   Begin VB.ListBox lstFonts 
      Height          =   2790
      Left            =   120
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   720
      Width           =   4455
   End
End
Attribute VB_Name = "frmFonts"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'==================================================================
'
' Font Enumeration Sample
'
' 29 September 2001
'
' You're free in using this software, as long as the
' orignal copyright/author information remains intact.
' In other words, respecting the person(s) who made it
' possible for you to view/learn something of this software.
'
' Copyright  2001 - Diederik van der Boor
' http://www.codingdomain.com
'
'==================================================================



Private Sub Form_Initialize()
  Dim I As Integer
  Dim EnumRes As FontEnumResult
  
  On Error Resume Next
    EnumRes = FontEnumAll(Me.hDc, TRUETYPE_FONTTYPE)
    If Err.Number Then MsgBox Err.Description, vbExclamation + vbMsgBoxSetForeground, "API call: " & Err.Source
  On Error GoTo 0
  
  If EnumRes.FontsFound Then
    For I = LBound(EnumRes.Fonts) To UBound(EnumRes.Fonts)
      lstFonts.AddItem EnumRes.Fonts(I).FullName
    Next
  End If
End Sub



'------------------------------------------------------------------
' Banner

Private Sub picBanner_Click()
  MsgBox "Copyright  2001 - Diederik van der Boor" & vbCrLf _
       & vbCrLf _
       & "Anyone is allowed to use this software freely, as long as" & vbCrLf _
       & "the the copright information in the source code remains intact." & vbCrLf _
       & vbCrLf _
       & "http://www.codingdomain.com"
End Sub

